#!/bin/sh
#
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2012. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT
# Usage: 
#      db2cmd createBPCDBTables.sh  <db_user>  <dbName> [createDB]
# Example:
#      db2cmd createBPCDBTables.sh db2admin BPCDB createDB     --create a new db
#      db2cmd createBPCDBTables.sh db2admin BPCDB              --use an existing db
#------------------------------------------------------------------------------
# expect inputs as DB_USER:DB_PASSWORD

DB_USERID=$1
DB_NAME=$2
DB_CREATE=$3

INIT_DIR=`pwd`

CURRENT_DIR=`dirname $0`
if [ "$CURRENT_DIR" = "." ] ; then
   CURRENT_DIR=`pwd`
fi

cd $CURRENT_DIR

if [ "$DB_CREATE" = "createDB" ] ; then 
	createDB=true
else
    createDB=false	
fi

if [ "$createDB" = "true" ]; then	
	for i  in `ls | egrep "createDatabase.sql"`
	do
		# create tables....
		db2 -s -t -f $i
	done
fi

#Connect to the database specifying the id and the password
rc=0
for i  in `ls | egrep "createDatabase.sql"`
do
	db2 connect to $DB_NAME user $DB_USERID 
	rc=$?
done


if [ $rc -eq 0 ] ; then	
	for i  in `ls | egrep "createTablespace.sql"`
	do
		db2 -s -t -f "createTablespace.sql"
	done
	for i  in `ls | egrep "createSchema.sql"`
	do
		db2 -s -t -f "createSchema.sql"
	done
else 
    echo 
    echo "Check DB2 setup or Enter correct dbUserId or dbPassword or dbName"
	echo
fi

cd $INIT_DIR
exit $?


