#!/bin/sh
#
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2012. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT
#------------------------------------------------------------------------------------------------------------------------------------------------------------
# Description:   Configure Oracle Database environment for BPC in occasion of Setup a new or existing database separately
# Run the script always where it is located rather running from different folder
# This file for use on Linux/Unix systems's bash
#------------------------------------------------------------------------------------------------------------------------------------------------------------
# Description:   executes the db2cmd configBPCDB.sh scripts to create
# the database for BPC
#
# Usage: 
#      createBPCDB.sh
#
# Example:
#      createBPCDB.sh             // use an existing database
#
# Note:
#	   Enter system administrator user name and password to get database connection first.
# 	   Run this script from its folder instead of a different folder.
#
# Return Codes:
#	   0 for success, non zero for failed
#
#------------------------------------------------------------------------------

#-----------------------------------------
# Ask user for the database userid
#-----------------------------------------
get_userid() {
   while true; do
      if [ -n "$USER_NAME" ]; then
         USER_NAME=$USER_NAME
         break
      else
         echo         
		 echo "Enter Oracle system administrator user name: "
         read USER_NAME
         continue
      fi
   done
}

INIT_DIR=`pwd`

CURRENT_DIR=`dirname $0`
if [ "$CURRENT_DIR" = "." ] ; then
   CURRENT_DIR=`pwd`
fi

cd $CURRENT_DIR

################################
#  DB_NAME will be replaced 
################################
DB_NAME=@DB_NAME@

################################
#  DB_USER will be replaced 
################################
USER_NAME=
#call the following subroutine to get the userid
get_userid

ls | egrep "createTablespace.sql" | sed 's/^/\@/' > files.sql
ls | egrep "createSchemaUser.sql" | sed 's/^/\@/' >> files.sql
ls | egrep "createSchema.sql" | sed 's/^/\@/' >> files.sql
echo quit >> files.sql

sqlplus $USER_NAME@$DB_NAME @files.sql


cd $INIT_DIR